/**
 * Image module.
 * @namespace lib.image
 * @author Taka Okunishi
 *
 */

var prototype = require('./_prototype.js');
/**
 * Define an object property getter to access prototype property.
 * @private
 */
function getPrototypeProperty (key) {
    return {
        enumerable: true,
        get: function () {
            return prototype[key];
        }
    };
}

// Export prototype properties with lazy loading.
Object.defineProperties(exports, {
    png2ico: getPrototypeProperty('png2ico'),
    resizeImage: getPrototypeProperty('resizeImage'),
    text2image: getPrototypeProperty('text2image')

});

